JUCE: URL::DownloadTaskOptions Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
URL::DownloadTaskOptions Class Reference
juce_core » network

Holds options that can be specified when starting a new download with downloadToFile(). More...

`#include <juce_URL.h>`

## Public Member Functions
auto | withExtraHeaders (String value) const
| Specifies headers to add to the request.
auto | withSharedContainer (String value) const
| On iOS, specifies the container where the downloaded file will be stored.
auto | withListener (DownloadTaskListener *value) const
| Specifies an observer for the download task.
auto | withUsePost (bool value) const
| Specifies whether a post command should be used.

## Public Attributes
String | extraHeaders
String | sharedContainer
DownloadTaskListener * | listener = nullptr
bool | usePost = false

## Detailed Description

Holds options that can be specified when starting a new download with downloadToFile().

## Member Function Documentation

## ◆ withExtraHeaders()

auto URL::DownloadTaskOptions::withExtraHeaders | ( | String | value | ) | const

Specifies headers to add to the request.

## ◆ withSharedContainer()

auto URL::DownloadTaskOptions::withSharedContainer | ( | String | value | ) | const

On iOS, specifies the container where the downloaded file will be stored.

If you initiate a download task from inside an app extension on iOS, you must supply this option.

This is currently unused on other platforms.

## ◆ withListener()

auto URL::DownloadTaskOptions::withListener | ( | DownloadTaskListener * | value | ) | const

Specifies an observer for the download task.

## ◆ withUsePost()

auto URL::DownloadTaskOptions::withUsePost | ( | bool | value | ) | const

Specifies whether a post command should be used.

## Member Data Documentation

## ◆ extraHeaders

String URL::DownloadTaskOptions::extraHeaders

## ◆ sharedContainer

String URL::DownloadTaskOptions::sharedContainer

## ◆ listener

DownloadTaskListener* URL::DownloadTaskOptions::listener = nullptr

## ◆ usePost

bool URL::DownloadTaskOptions::usePost = false

The documentation for this class was generated from the following file:

- juce_URL.h